Bug 818457 - Review Request: rubygem-ruby-debug-base19 - Fast Ruby debugger - core component
Summary: Review Request: rubygem-ruby-debug-base19 - Fast Ruby debugger - core component
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 818454
Blocks: 818458
TreeView+ depends on / blocked
 
Reported: 2012-05-03 07:16 UTC by Mamoru TASAKA
Modified: 2012-11-09 02:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-09 02:11:09 UTC
bkabrda: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2012-05-03 07:16:53 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/ruby-debug-related/rubygem-ruby-debug-base19.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/ruby-debug-related/rubygem-ruby-debug-base19-0.11.26-1.fc.src.rpm
Description: 
ruby-debug is a fast implementation of the standard Ruby debugger debug.rb.
It is implemented by utilizing a new Ruby C API hook. The core component
provides support that front-ends can build on. It provides breakpoint
handling, bindings for stack frames among other things.

mock build for f17 (koji scratch build not available because this depends on another review request bug 818454)
http://mtasaka.fedorapeople.org/Review_request/ruby-debug-related/MOCK-rubygem-ruby-debug-base19.log

Comment 2 Bohuslav "Slavek" Kabrda 2012-10-24 06:03:41 UTC
I'll take this for a review.

Comment 3 Bohuslav "Slavek" Kabrda 2012-10-24 06:19:45 UTC
I see no problems in this package. Everything works, the specfile is clean and rpmlint shows no problems except false positives. (Although, as always, I think that documentation files under -doc subpackage should be marked as %doc, but that's not a blocker :) ).

APPROVED.

Comment 4 Mamoru TASAKA 2012-10-24 07:39:38 UTC
Thank you for reviewing! (By the way, do you have some packages you want me to review?)

Comment 5 Bohuslav "Slavek" Kabrda 2012-10-24 08:24:32 UTC
(In reply to comment #4)
> Thank you for reviewing! (By the way, do you have some packages you want me
> to review?)

No thanks, but I'll let you know if I have some in the future.

Comment 6 Mamoru TASAKA 2012-10-24 15:31:01 UTC
New Package SCM Request
=======================
Package Name: rubygem-ruby-debug-base19
Short Description: Fast Ruby debugger - core component
Owners: mtasaka
Branches: 
InitialCC: f18 f17

Comment 7 Gwyn Ciesla 2012-10-24 15:55:00 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2012-10-25 05:39:14 UTC
rubygem-ruby-debug-base19-0.11.26-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-ruby-debug-base19-0.11.26-3.fc18

Comment 9 Fedora Update System 2012-10-25 05:40:12 UTC
rubygem-ruby-debug-base19-0.11.26-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-ruby-debug-base19-0.11.26-3.fc17

Comment 10 Fedora Update System 2012-11-08 01:58:57 UTC
rubygem-ruby-debug19-0.11.6-3.fc17, rubygem-ruby-debug-base19-0.11.26-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-11-08 06:48:35 UTC
rubygem-ruby-debug19-0.11.6-3.fc18, rubygem-ruby-debug-base19-0.11.26-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 12 Mamoru TASAKA 2012-11-09 02:11:09 UTC
Closing. Thank you for review and git procedure.


Note You need to log in before you can comment on or make changes to this bug.